com.impinj.octane

## Class LocationConfig

- java.lang.Object
- - com.impinj.octane.LocationConfig

-     public class LocationConfig
      extends java.lang.Object

  A container that holds all of the configuration options for xArray location

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getComputeWindowSeconds()` Compute Window the the smoothing window for averaging the location estimates.
    `java.util.List<java.lang.Short>` | `getDisabledAntennaList()` Antennas can be disabled when configuring location.
    `java.lang.Boolean` | `getIsMaxTxPower()` Typically an antenna is set to maximum transmit power.
    `java.util.List<java.lang.Integer>` | `getLocationAlgorithmControlList()` Custom location algorithm control parameters can be set when configuring location.
    `short` | `getTagAgeIntervalSeconds()` The Age Interval specifies how long a tag needs to go unseen before its removed from the location tracking.
    `double` | `getTxPowerinDbm()` Transmit power can be adjusted on antennas to reduce the read range of the antenna.
    `short` | `getUpdateIntervalSeconds()` The UpdateInterval specifies how often tag reports are generated when tag report updates are enabled
    `boolean` | `isDiagnosticReportEnabled()` When enabled, diagnostic reports are generated at each update interval and sent to the application
    `boolean` | `isEntryReportEnabled()` When enabled, an entry report is sent immediately upon the tag entering the field of view of the reader.
    `boolean` | `isExitReportEnabled()` When enabled, an exit report is generated when the tag has not been seen by the reader in the tag age Interval.
    `boolean` | `isUpdateReportEnabled()` When update reports are enabled, location reports are sent by the reader periodically for all tags in the location database
    `void` | `setComputeWindowSeconds(short computeWindowSeconds)` Compute Window the the smoothing window for averaging the location estimates.
    `void` | `setDiagnosticReportEnabled(boolean diagnosticReportEnabled)` When enabled, diagnostic reports are generated at each update interval and sent to the application
    `void` | `setDisabledAntennaList(java.util.List<java.lang.Short> disabledAntennaList)` Antennas can be disabled when configuring location.
    `void` | `setDisabledAntennaList(short[] disabledAntennaArray)` Antennas can be disabled when configuring location.
    `void` | `setEntryReportEnabled(boolean entryReportEnabled)` When enabled, an entry report is sent immediately upon the tag entering the field of view of the reader.
    `void` | `setExitReportEnabled(boolean exitReportEnabled)` When enabled, an exit report is generated when the tag has not been seen by the reader in the tag age Interval.
    `void` | `setIsMaxTxPower(java.lang.Boolean maxTxPower)` Typically an antenna is set to maximum transmit power.
    `void` | `setLocationAlgorithmControlList(int[] locationAlgorithmControlArray)` Custom location algorithm control parameters can be set when configuring location.
    `void` | `setLocationAlgorithmControlList(java.util.List<java.lang.Integer> locationAlgorithmControlList)` Custom location algorithm control parameters can be set when configuring location.
    `void` | `setTagAgeIntervalSeconds(short tagAgeIntervalSeconds)` The Age Interval specifies how long a tag needs to go unseen before its removed from the location tracking.
    `void` | `setTxPowerinDbm(double txPowerinDbm)` Transmit power can be adjusted on antennas to reduce the read range of the antenna.
    `void` | `setUpdateIntervalSeconds(short updateIntervalSeconds)` The ReportInterval specifies how often tag reports are generated when tag report updates are enabled
    `void` | `setUpdateReportEnabled(boolean updateReportEnabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocationConfig

          public LocationConfig()

  - ### Method Detail

    - #### getComputeWindowSeconds

          public short getComputeWindowSeconds()

      Compute Window the the smoothing window for averaging the location estimates. Default is 10 seconds.
      Returns:
        the current value of the compute window

    - #### setComputeWindowSeconds

          public void setComputeWindowSeconds(short computeWindowSeconds)

      Compute Window the the smoothing window for averaging the location estimates. Default is 10 seconds.
      Parameters:
        `computeWindowSeconds` - the desired value for the compute window

    - #### getTagAgeIntervalSeconds

          public short getTagAgeIntervalSeconds()

      The Age Interval specifies how long a tag needs to go unseen before its removed from the location tracking. Default is 20 seconds.
      Returns:
        the current value for the tag Age Interval.

    - #### setTagAgeIntervalSeconds

          public void setTagAgeIntervalSeconds(short tagAgeIntervalSeconds)

      The Age Interval specifies how long a tag needs to go unseen before its removed from the location tracking. Default is 20 seconds.
      Parameters:
        `tagAgeIntervalSeconds` - the desired value for the tag age interval

    - #### getUpdateIntervalSeconds

          public short getUpdateIntervalSeconds()

      The UpdateInterval specifies how often tag reports are generated when tag report updates are enabled
      Returns:
        the current value of the Report Interval.
      See Also:
        `setUpdateReportEnabled(boolean)`

    - #### setUpdateIntervalSeconds

          public void setUpdateIntervalSeconds(short updateIntervalSeconds)

      The ReportInterval specifies how often tag reports are generated when tag report updates are enabled
      Parameters:
        `updateIntervalSeconds` - the time between report generation in seconds
      See Also:
        `setUpdateReportEnabled(boolean)`

    - #### isUpdateReportEnabled

          public boolean isUpdateReportEnabled()

      When update reports are enabled, location reports are sent by the reader periodically for all tags in the location database
      Returns:
        true if the update report is enabled
      See Also:
        `LocationReport`

    - #### setUpdateReportEnabled

          public void setUpdateReportEnabled(boolean updateReportEnabled)

      Parameters:
        `updateReportEnabled` - desired update report state
      See Also:
        `LocationReport`

    - #### isEntryReportEnabled

          public boolean isEntryReportEnabled()

      When enabled, an entry report is sent immediately upon the tag entering the field of view of the reader.
      Returns:
        true if entry reports are enabled.
      See Also:
        `LocationReport`

    - #### setEntryReportEnabled

          public void setEntryReportEnabled(boolean entryReportEnabled)

      When enabled, an entry report is sent immediately upon the tag entering the field of view of the reader.
      Parameters:
        `entryReportEnabled` - true to enable entry reports
      See Also:
        `LocationReport`

    - #### isExitReportEnabled

          public boolean isExitReportEnabled()

      When enabled, an exit report is generated when the tag has not been seen by the reader in the tag age Interval.
      Returns:
        true if enabled
      See Also:
        `setTagAgeIntervalSeconds(short)`, `LocationReport`

    - #### setExitReportEnabled

          public void setExitReportEnabled(boolean exitReportEnabled)

      When enabled, an exit report is generated when the tag has not been seen by the reader in the tag age Interval.
      Parameters:
        `exitReportEnabled` - true to enable exit reports
      See Also:
        `LocationReport`

    - #### isDiagnosticReportEnabled

          public boolean isDiagnosticReportEnabled()

      When enabled, diagnostic reports are generated at each update interval and sent to the application
      Returns:
        true if diagnostic reports are enabled
      See Also:
        `LocationReport`

    - #### setDiagnosticReportEnabled

          public void setDiagnosticReportEnabled(boolean diagnosticReportEnabled)

      When enabled, diagnostic reports are generated at each update interval and sent to the application
      Parameters:
        `diagnosticReportEnabled` - true to enable diagnostic reports
      See Also:
        `LocationReport`

    - #### getIsMaxTxPower

          public java.lang.Boolean getIsMaxTxPower()

      Typically an antenna is set to maximum transmit power. This provides the longest read range. However, maximum transmit power can be disabled and the power can be controlled via setTxPower.
      Returns:
        true if antennas are set to operate at maximum power

    - #### setIsMaxTxPower

          public void setIsMaxTxPower(java.lang.Boolean maxTxPower)

      Typically an antenna is set to maximum transmit power. This provides the longest read range. However, maximum transmit power can be disabled and the power can be controlled via setTxPower.
      Parameters:
        `maxTxPower` - -- true to set antenna power to maximum. false to allow the power to be varied by the setTxPowerinDbm method.

    - #### getTxPowerinDbm

          public double getTxPowerinDbm()

      Transmit power can be adjusted on antennas to reduce the read range of the antenna. Transmit power is specified in dBm (decibel milliwatts)
      Returns:
        the current antenna transmit power in dBm

    - #### setTxPowerinDbm

          public void setTxPowerinDbm(double txPowerinDbm)

      Transmit power can be adjusted on antennas to reduce the read range of the antenna. Transmit power is specified in dBm (decibel milliwatts)
      Parameters:
        `txPowerinDbm` - -- antenna power in dBm

    - #### getDisabledAntennaList

          public java.util.List<java.lang.Short> getDisabledAntennaList()

      Antennas can be disabled when configuring location. Get the list of currently disabled antennas.
      Returns:
        the list of currently disabled antennas

    - #### setDisabledAntennaList

          public void setDisabledAntennaList(java.util.List<java.lang.Short> disabledAntennaList)

      Antennas can be disabled when configuring location. Set the list of currently disabled antennas.
      Parameters:
        `disabledAntennaList` - -- the list of antennas to be disabled

    - #### setDisabledAntennaList

          public void setDisabledAntennaList(short[] disabledAntennaArray)

      Antennas can be disabled when configuring location. Set the list of currently disabled antennas.
      Parameters:
        `disabledAntennaArray` - -- an array of antennas to be disabled

    - #### getLocationAlgorithmControlList

          public java.util.List<java.lang.Integer> getLocationAlgorithmControlList()

      Custom location algorithm control parameters can be set when configuring location. Gets the list of key-value pairs that will be passed into the location algorithm.
      Returns:
        the list of currently modified location algorithm control key-value pairs.

    - #### setLocationAlgorithmControlList

          public void setLocationAlgorithmControlList(java.util.List<java.lang.Integer> locationAlgorithmControlList)

      Custom location algorithm control parameters can be set when configuring location. Sets the list of key-value pairs that will be passed into the location algorithm.
      Parameters:
        `locationAlgorithmControlList` - -- the list of location algorithm control key-value pairs to be set

    - #### setLocationAlgorithmControlList

          public void setLocationAlgorithmControlList(int[] locationAlgorithmControlArray)

      Custom location algorithm control parameters can be set when configuring location. Sets the list of key-value pairs that will be passed into the location algorithm.
      Parameters:
        `locationAlgorithmControlArray` - -- an array of location algorithm control key-value pairs to be set